%define name e17
%define version	0.17
%define release	0.%{cvsrel}.1mdk

%define cvsrel 20030730

%define major 1
%define libname libehack%{major}
%define libnamedev libehack%{major}-devel


Summary: Enlightenment DR0.17 CVS
Name: %name
Version: %version
Release: %release
License: BSD
Group: Graphical desktop/Other
Source: e-%{cvsrel}.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
URL: http://www.enlightenment.org/
Conflicts: enlightenment
Requires: libevas1, libedb1 
Requires: imlib2 >= 1.0.0
Requires: libebits1, libecore0, %{libname}
Buildrequires: libecore0-devel libebits1-devel libevas1-devel libebg1-devel
Buildrequires: libefsd0-devel libedb1-devel libimlib2_1-loaders

%description
Errrrrrr - E17. You go figure.

%package -n %{libname}
Summary: Enlightement library.
Group: System/Libraries
Provides: %{libname} = %{version}

%description -n %{libname}
E17 library

%package -n %{libnamedev}
Summary: Enlightenment library headers and development libraries.
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{libname}-devel = %{version}
Provides: libehack-devel

%description -n %{libnamedev}
E17 development headers and development libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n e

%build

./autogen.sh

%configure

%make

%install

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%attr(755,root,root) 
%_bindir/*
%_datadir/enlightenment

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%changelog
* Thu Jul 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.17-0.20030730.1mdk
- new

* Sat Jan 6 2001 Lyle Kempler <term@twistedpath.org>
- Fixed spec file. :)

* Sat Dec 11 2000 The Rasterman <raster@rasterman.com>
- Created spec file

